<template>
  <ul class="sidenav app-sidenav" :class="{open: value}" :key="locale">

    <router-link
        v-for="link in links"
        :key="link.url"
        :to="link.url"
        tag="li"
        active-class="active"
        :exact="link.exact"
    >
      <a href="#" class="waves-effect waves-orange pointer">{{ link.title }}</a>
    </router-link>

  </ul>
</template>

<script>
import localization from "@/filters/localization";

export default {
  name: "Navigation",
  props: ['value'],
  data: () => ({
    links: [
      {title: localization('Bill'), url: '/', exact: true},
      {title: localization('History'), url: '/history'},
      {title: localization('Planning'), url: 'planning'},
      {title: localization('New record'), url: '/record'},
      {title: localization('Categories'), url: '/categories'},
    ]
  }),
  computed: {
    locale() {
      return this.$store.getters.getUserInfo.locale;
    }
  }
}
</script>

<style scoped>

</style>